#ifndef _PROCESSOR_H_
#define _PROCESSOR_H_

#include "memmap.h"

#define PROCINCLUDE_PATH	"/usr/local/share/asm1825/processors"

#define IS_BASIC	1
#define IS_EXTENDED	2

struct procspec {
  int codesize;
  int ramsize;
  int eesize;
  int confbase;
  int inset;		/* Instruction set(s) */
  int coremask;		/* Mask of core registers */
};

extern struct procspec proc;
extern mmhandle chipmem;


extern void procInit(void);
extern void procDoDirective(char *param);


#endif
