#ifndef _TOKEN_H_
#define _TOKEN_H_


struct token {
  int tok_type;
  char *tok_text;
};

typedef struct token Token;


extern int tokIsLabel(const Token *t);
extern int tokIsNumber(const Token *t);
extern Token **tokSplit(const char *str);
extern void tokFree(Token **tokv);
extern int tokCount(Token ** tokv);
extern void tokShiftL(Token ** tokv, int pos, int count);
extern Token **tokDup(Token **tokv, int start, int end);
extern void tokDump(Token **tokv);


#endif
